/* General styles */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    letter-spacing: 2px;
}

body {
    color: #fff !important;
    font-family: 'DM Sans', sans-serif !important;
}

a {
    text-decoration: none !important;
    color: inherit !important;
}

h2 {
    font-size: 4rem !important;
}

/* HEADER */

.header {
    background: linear-gradient(to bottom, black, transparent);
    position: fixed;
    width: 100%;
    z-index: 1000;
    padding: 20px 0 25px 0;
}

.logo {
    height: 40px;
}

/* Navbar */
.navbar-brand {
    font-size: 2.5rem !important;
    color: white !important;
    text-align: center;
}

.navbar-brand span {
    display: inline-block;
    letter-spacing: 0.3em;
    margin-right: -0.3em;
    font-weight: bold;
}

.navbar-dark .navbar-nav .nav-link {
    color: white;
    font-size: 1.2rem !important;
}

.navbar-dark .navbar-nav .nav-link:hover {
    color: #bdbdbd !important;
}

/* MAIN */
/* Slideshow */

.carousel,
.carousel-inner,
.carousel-item {
    height: 100vh;
    border: none !important;
}

.carousel-item img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

/* Reservation button */
.fixed-btn {
    position: fixed;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #fff;
    font-size: 1.2rem;
    padding: 5px 20px;
    z-index: 1001;
    border: #000 2px solid;
}

.fixed-btn:hover {
    opacity: 0.4;
    transition: 0.3s;
    cursor: pointer;
}

.fixed-btn:hover span{
    transition: 0.3s;
}

.fixed-btn span {
    color: #000;
    display: inline-block;
    letter-spacing: 0.3em;
    margin-right: -0.3em;
}

/* About Section */

.about {
    color: #000;
    padding: 2% 10%;
    font-size: 1.6rem;
}

.about h2{
    border-bottom: 2px solid #000;
}

.about img{
    height: 700px;
    padding: 10%;
}

/* FOOTER */

.footer-separator {
    border-top: 5px solid;
}

.contact {
    text-decoration: none;
    padding-top: 2%;
    width: 100%;
}

.media-icon {
    font-size: 2.5rem;
}

.contact-container {
    justify-content: center;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    font-size: 1rem;
    padding: 20% 0;
}

.page-footer {
    text-align: center;
    padding: 0 10%;
    background-color: #fff;
    color: #000;
}

.page-footer .contact-container:hover,
.page-footer .contact-container:active {
    color: #bdbdbd;
    transition: 0.3s;
}

.address-info {
    padding: 2% 0;
    font-size: 12px;
    letter-spacing: 3px;
}

.address-info span {
    display: block;
}

.copyright {
    margin: 0;
    padding: 3% 0 13% 0;
    color: rgb(89, 86, 86);
}

/* Media Queries */

/* Tablets */
@media (max-width: 768px) {
    .about {
        padding: 0;
        font-size: 1.5rem;
    }

    .about img {
        height: 100vh;
        width: 100%;
        object-fit: cover;
    }

    h2 {
        font-size: 3rem !important;
    }

    .navbar-brand {
        font-size: 2rem !important;
    }

    .navbar-dark .navbar-nav .nav-link {
        font-size: 1rem !important;
    }

    .fixed-btn {
        font-size: 1.5rem;
        padding: 5px 15px;
    }

    .media-icon {
        font-size: 2rem;
    }

    .contact-container {
        font-size: 0.8rem;
    }
}

/* Mobile Phones */
@media (max-width: 576px) {
    .logo {
        height: 30px;
    }

    .about {
        padding: 0;
        font-size: 1.2rem;
    }

    .about img {
        height: 100vh;
        width: 100%;
        object-fit: cover;
    }

    h2 {
        font-size: 2.5rem !important;
    }

    .navbar-brand {
        font-size: 1.5rem !important;
    }

    .navbar-dark .navbar-nav .nav-link {
        font-size: 1.2rem !important;
        margin-top: 0.2rem;
    }

    .fixed-btn {
        font-size: 1.2rem;
        padding: 5px 10px;
    }

    .media-icon {
        font-size: 1.5rem;
    }

    .contact-container {
        font-size: 0.6rem;
    }

    .address-info {
        padding: 4% 0;
    }

    .copyright {
        padding: 10% 0 40% 0;
    }
}
